.pop-up-txt{
position: relative;
  top: -50px;
  left: 50%;
  width: 100px;
  transform: translate(-50%, -50%);
  z-index: 100;pointer-events: none;}
  .pop-down-txt {
  position: absolute;
  top: -70px;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
	height: 100%;}
.effect-message-line span{margin:auto;}
.effect-message-line{display:flex;}

.execution-critical-text {
  color: #f00;
  font-weight: 900;
  text-transform: uppercase;
  width: 150px;
   font-size: 18px;
}

.effect-message-line.execution-critical{margin-top: -60px;
animation:
     critPopFloat 1.3s ease-out alternate forwards !important;}

.effect-message-line.overkill{margin-top: -5px;}
.BattleText.overkill, .BattleText.execution-critical {
  position: absolute !important;
  /* top: -150px !important; */
  left: calc(50% - 70px) !important;
  width: 140px !important;
  height: 50px !important;

  transform: none !important;
  animation: none !important;
  transition: none !important;
  overflow: visible !important;
}
.picto-stat.overkill{ background-image: url('../media/assets/ui/picto-overkill.svg');}
.BattleText.overkill .picto-stat.overkill {
  position: absolute !important;
  top: 0 !important;
  left: 0 !important;

  display: block;
  width: 140px;
  height: 50px;

  background-size: 150px;
  background-repeat: no-repeat;
  background-position: center;

  transform-origin: center center;
  filter: drop-shadow(0 0 5px #bb000075);

  animation:
    overkillScale 1.5s ease-out forwards,
    overkillBlink 1.5s linear forwards;
}
.BattleText .picto-stat{width: 50px;
  height: 35px;
  background-size: 45px;}
  
 .effect-message-line .picto-stat.execution-critical{width: 65px;
  height: 65px;
  background-size: 55px;
  margin-top: 25px;
  animation: bounceOnce 0.3s ease-out alternate forwards;}
  
  
  .BattleText .effect-txt.balance-view, .BattleText .effect-txt.nomove{font-size: 17px;
  text-align: initial;}
  .effect-message-line.balance-view{filter: drop-shadow(0 0 4px #290031);}
  .effect-message-line.nomove{filter: drop-shadow(0 0 4px #421111);}
  
  .damage-popup.brulure-dot{color:#ff7e00;animation: floatUpLeft 1.3s ease-out forwards;}
.dot-name.brulure{color:#ff7e00;}
.damage-popup.poison-dot{color:#00ea16;animation: floatUpRight 1.3s ease-out forwards;}

.dot-name.poison{color:#00ea16}
.damage-popup.heal, .BattleText.heal, .dot-name.heal, .heal-text{ text-shadow: 0 0 2px #fff; font-weight:900;font-size: 18px;color:#00e4ff;animation: DotTextUp 2s cubic-bezier(.22,.61,.36,1) forwards;top:5%}
.effect-message-line.blood-glutony{text-shadow: 0 0 2px #fff;
  font-weight: 900;
  font-size: 18px;
  color: #00e4ff;
  animation: DotTextUp 2s cubic-bezier(.22,.61,.36,1) forwards;}
.damage-popup.heal:before{ content: "+ ";}.damage-popup.heal:after{ content: " HP";}

.BattleText .picto-stat.dodge{background-size: 32px;}

.BattleText .picto-stat.bloodGlutony{width: 50px;
  height: 35px;
  background-size: 45px;
  transform: translateY(3px);
  text-shadow: 0 0 10px #fff;
  filter: drop-shadow(0 0 8px #00e4ff);}

.damage-popup, .dot-name {
	position: absolute;
	color: #fff;
	font-size:13px;
	text-align: center;
	font-weight: 900;
	animation: floatUp 1.3s ease-out forwards;
	margin:auto;
	font-family: 'Roboto', sans-serif;
	z-index: 200;text-shadow: 1px 1px #000;
	  width: 100%
}
.dot-name {
	animation: DotTextUp 2s ease-out forwards;
	z-index:101;
	position:relative;
	  width:100%;font-family: 'EB Garamond', sans-serif;
	}
.damage-popup.total-damage{font-size:17px;}
/* Animations générales */
.damage-popup.detail {
    position: absolute;
    animation-duration: 1.5s;
    animation-fill-mode: forwards;
    opacity: 1;
}
/* --- POPUP CRITIQUE --- */
.damage-popup.popup-critical {
  color: #ffb300;
  text-shadow: 0 0 6px #ff0000, 0 0 12px #ff9d00;
  font-size: 20px;
  font-weight: 400;
  animation:
     critPopFloat 1.3s ease-out alternate forwards !important;
	transform-origin:center;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 4px;
 margin-top:100px;
}

.damage-popup.popup-critical .picto-stat.criticalChance {
  width: 30px;
  height: 30px;
  background: url('../media/assets/ui/picto-crit.svg') no-repeat center / contain;
  filter: drop-shadow(0 0 2px #ff0000);
}
.BattleText{position: relative;
		font-size:15px;
	text-align: center;
	animation: BattleTextDrop 0.4s ease-out;
	margin:auto;
	z-index: 200;text-shadow: 1px 1px #000;
	  width: 150px;left:-30%;display:flex;justify-content:center;}
.BattleText .picto-stat.nomove{animation: Pulsation 1s infinite ease-in-out;}
.BattleText .picto-stat.marathon{animation: Zoof 1s infinite ease-in-out;}
.BattleText .picto-stat.balance-view{animation: Pulsation 0.5s infinite ease-in-out;}
.critical-exec-dmg{font-size: 25px;
  display: block;
  color: #ff9b00;
  line-height: 20px;
  text-shadow: 0px 2px #3f0000;
  animation: Pulsation 0.3s ease-out;
  text-shadow: 0 0 6px #ff0000, 0 0 12px #ff9d00;
  font-weight: bolder;}


.aura-container > .picto-stat.bloodCrazy {
	animation: bloodCrazyPopIn 0.35s ease-out forwards,
	bloodCrazyAuraVibrate 0.45s ease-out infinite; 
	}

.aura-container > .picto-stat.bloodCrazy.consumed {
	animation: bloodCrazyConsumed 0.45s ease-out forwards; 
	}